from opentelemetry.exporter.http.trace_exporter import OTLPSpanExporter
from ....constants import MULTIPLAYER_OTEL_DEFAULT_TRACES_EXPORTER_HTTP_URL, MULTIPLAYER_OTLP_KEY

class MultiplayerOTLPSpanExporter(OTLPSpanExporter):
    def __init__(self, *args, **kwargs):
        multiplayerOtlpKey = kwargs.get("apiKey") or MULTIPLAYER_OTLP_KEY

        kwargs.setdefault("endpoint", kwargs.get("endpoint") or MULTIPLAYER_OTEL_DEFAULT_TRACES_EXPORTER_HTTP_URL)
        kwargs.setdefault("headers", {
            "Authorization": multiplayerOtlpKey
        })
        super().__init__(*args, **kwargs)
